Name:           qodem
Version:        0.3.2
Release:        9%{?dist}
Summary:        Terminal emulator and communications package

Group:          Applications/Communications
License:        GPLv2+
URL:            http://qodem.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch0:         modem_openserialport.diff
# https://bugzilla.redhat.com/show_bug.cgi?id=1037294
Patch1:         qodem-0.3.2-printf_sec.patch

BuildRequires:  automake autoconf
BuildRequires:  SDL-devel
BuildRequires:  ncurses-devel
BuildRequires:  gettext
BuildRequires:  glibc-devel
BuildRequires:  libssh2-devel

Requires:       terminus-fonts
Requires:       xterm


%description
Qodem is an open-source re-implementation of the Qmodem(tm)
shareware communications package, updated for more modern uses.
Major features include:
    * Unicode display: translation of CP437 (PC VGA), VT100 DEC
      Special Graphics characters, VT220 National Replacement
      Character sets, etc., to Unicode
    * Terminal interface conveniences: scrollback buffer, capture
      file, screen dump, dialing directory, keyboard macros, script
      support
    * Connection methods: serial, local shell, command line, telnet,
      ssh, rlogin, rsh
    * Emulations: ANSI.SYS (including "ANSI music"), Avatar, VT52,
      VT100/102, VT220, Linux, and XTerm
    * Transfer protocols: Xmodem, Ymodem, Zmodem, and Kermit


%prep
%setup -q
%patch0 -p0 -b .serial
%patch1 -p1 -b .printf_sec
# Make sure xqodem sets the font properly
sed -i 's|font_xterm="terminus-20"|font_xterm="-*-terminus-*-*-normal-*-20-*-*-*-*-*-*-*"|' xqodem

# Remove bundled gettext
rm -f intl/gettext.c


%build
export CXXFLAGS="%{optflags} -Werror=format-security"
export CFLAGS="%{optflags} -Werror=format-security"
export LDFLAGS="-lm"
autoreconf -fi
%configure --enable-x11 --with-libintl-prefix=/usr/share/gettext/intl
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-7
- Fix possible security bug with printf (BZ#1037294).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-6
- Patch for buffer overflow, Fixes BZ#978600.

* Sun May 26 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-5
- Add autoreconf to permit building for aarch64.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 05 2012 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-1
- Rebuild for GC 4.7.0.

* Sat Jul 23 2011 Richard Shaw <hobbes1069@gmail.com> - 0.3.2-1
- Initial Release.
